PrefabFiles = 
{
        "w_pond",
}

        Assets = 
{
	Asset("ATLAS", "images/inventoryimages/w_pond.xml"),
        Asset( "IMAGE", "minimap/w_pond.tex" ),
        Asset( "ATLAS", "minimap/w_pond.xml" ),	
}

        AddMinimapAtlas("minimap/w_pond.xml")

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.W_POND = "Fish Farm"
STRINGS.RECIPE_DESC.W_POND = "I May Just Stay Home More."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.W_POND = "Fish like honey,who knew?"

local w_pond = GLOBAL.Recipe("w_pond",
{ 
        Ingredient("boards", 10),
        Ingredient("fish", 2),
        Ingredient("bee", 4)
},
        RECIPETABS.FARM, TECH.NONE,"w_pond_placer" )
        w_pond.atlas = "images/inventoryimages/w_pond.xml"

local seg_time = 30
local total_day_time = seg_time*16
    
local day_segs = 10
local dusk_segs = 4
local night_segs = 2

TUNING.WINTER_HARVEST_TIME = seg_time*20

require=GLOBAL.require
require "behaviours/chaseandattack"
require "behaviours/runaway"
require "behaviours/wander"
require "behaviours/doaction"
require "behaviours/findflower"
require "behaviours/panic"
BT=GLOBAL.BT
PriorityNode=GLOBAL.PriorityNode
Wander=GLOBAL.Wander
FindFlower=GLOBAL.FindFlower
IfNode=GLOBAL.IfNode
DoAction=GLOBAL.DoAction
RunAway=GLOBAL.RunAway
ChaseAndAttack=GLOBAL.ChaseAndAttack
WhileNode=GLOBAL.WhileNode
Panic=GLOBAL.Panic
GetClock=GLOBAL.GetClock
GetSeasonManager=GLOBAL.GetSeasonManager
local beecommon=require"brains/beecommon"
local BeeBrain=require"brains/beebrain"
AddBrainPostInit("beebrain", function(self, inst, data)
function BeeBrain.OnStart(self, inst, data)
	local MAX_CHASE_DIST = 15
	local MAX_CHASE_TIME = 8
	local RUN_AWAY_DIST = 6
    local MAX_WANDER_DIST = 32
	local STOP_RUN_AWAY_DIST = 10
    local clock = GetClock()
    local seasonmanager = GetSeasonManager()
    
    local root =
        PriorityNode(
        {
            WhileNode( function() return self.inst.components.health.takingfiredamage end, "OnFire", Panic(self.inst)),
            
            WhileNode( function() return self.inst.components.combat.target == nil or not self.inst.components.combat:InCooldown() end, "AttackMomentarily", ChaseAndAttack(self.inst, SpringMod(MAX_CHASE_TIME), SpringMod(MAX_CHASE_DIST)) ),
            WhileNode( function() return self.inst.components.combat.target and self.inst.components.combat:InCooldown() end, "Dodge", RunAway(self.inst, function() return self.inst.components.combat.target end, RUN_AWAY_DIST, STOP_RUN_AWAY_DIST) ),
            
            --ChaseAndAttack(self.inst, beecommon.MAX_CHASE_TIME),
            IfNode(function() return clock and not clock:IsDay() end, "IsNight",
                DoAction(self.inst, function() return beecommon.GoHomeAction(self.inst) end, "go home", true )),
            IfNode(function() return self.inst.components.pollinator:HasCollectedEnough() end, "IsFullOfPollen",
                DoAction(self.inst, function() return beecommon.GoHomeAction(self.inst) end, "go home", true )),
            IfNode(function() return seasonmanager and seasonmanager:IsWinter() end, "IsWinter",
                DoAction(self.inst, function() return end, "go home", true )),

            FindFlower(self.inst),
            Wander(self.inst, function() return self.inst.components.knownlocations:GetLocation("home") end, beecommon.MAX_WANDER_DIST)            
        },1)
    
    
    self.bt = BT(self.inst, root)
    
end
end)
function SpringMod(amt)
	if (GLOBAL.IsDLCEnabled(1)) then
		if GetSeasonManager() and GetSeasonManager():IsSpring() then
			return amt * TUNING.SPRING_COMBAT_MOD
		end
	else
		return amt
	end
end
AddPrefabPostInit("bee", function(inst)
	inst:RestartBrain()
end)
